com.mysql.cj

## Class Messages

- java.lang.Object
- - com.mysql.cj.Messages

    public class Messages
    extends Object

Support for localized messages.

### Field Summary

Fields
`private static String` `BUNDLE_NAME`
`private static Object[]` `emptyObjectArray`
`private static ResourceBundle` `RESOURCE_BUNDLE`

### Constructor Summary

Constructors
`private` `Messages()` Dis-allow construction ...

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `getString(String key)` Returns the localized message for the given message key
`static String` `getString(String key, Object[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### BUNDLE_NAME

    private static final String BUNDLE_NAME

See Also:
  Constant Field Values

#### RESOURCE_BUNDLE

    private static final ResourceBundle RESOURCE_BUNDLE

#### emptyObjectArray

    private static final Object[] emptyObjectArray

### Constructor Detail

#### Messages

    private Messages()

Dis-allow construction ...

### Method Detail

#### getString

    public static String getString(String key)

Returns the localized message for the given message key

Parameters:
  `key` - the message key
Returns:
  The localized message for the key

#### getString

    public static String getString(String key,
                                   Object[] args)

Copyright © 2016, 2023, Oracle and/or its affiliates.